# Aliases for using twtxt
#
# See https://github.com/buckket/twtxt
# Also see https://github.com/prologic/twtxt and https://twtxt.net/
#

# twtxt timeline
alias twl='twtxt timeline --ascending'

# twtxt twit
#
# TODO Mitigate possible cross-sytem conflicts.  git pull here, add/commit/push after?
#

alias twt='twg && twtxt tweet && twp || echo failed to tweet'

# twtxt publish
alias twp='scp ~/twtxt.txt gmj@port111.com:~/public_html/george/'

# twtxt get current
alias twg='scp gmj@port111.com:~/public_html/george/twtxt.txt ~/'

function twtp () {
    # twtxt twit and post
    twt "$*"
    twp
}
